// $Id: quickfile-overlay.js,v 1.3 2004/10/10 12:16:35 Paul Tomlin Exp $

//
//	initQuickFile
//	Called when Thunderbird loads the extension
//
function initQuickFile ()
{
	var prefs = qfGetPrefs();
	
	if (prefs.shortcuts)
	{
		// get a handle on the key XUL element
		var shortcut = document.getElementById('key_quickfileMove');
		
		if (prefs.shortcuts.move.key)
			shortcut.setAttribute('key', prefs.shortcuts.move.key);
		
		if (prefs.shortcuts.move.modifiers)
			shortcut.setAttribute('modifiers', prefs.shortcuts.move.modifiers);



		var shortcut = document.getElementById('key_quickfileCopy');
		
		if (prefs.shortcuts.copy.key)
			shortcut.setAttribute('key', prefs.shortcuts.copy.key);
		
		if (prefs.shortcuts.copy.modifiers)
			shortcut.setAttribute('modifiers', prefs.shortcuts.copy.modifiers);
	}
}

// init when the window loads
window.addEventListener("load", initQuickFile, false);

//
//	launchQuickFile
//	Called when the user hits the shortcut or menu item
//
function launchQuickFile(mode)
{
	if (mode == undefined)
		mode = 'move';
		
	window.openDialog(
		'chrome://quickfile/content/quickfile.xul', 
		'quickfile-window', 
		'chrome,resizable,centerscreen,modal',
		mode
	);
}

function launchQFForCopy()
{
	launchQuickFile('copy');
}

function launchQFForMove()
{
	launchQuickFile('move');
}

function launchQFForSelect()
{
	launchQuickFile('select');
}
